<template>
  <lazy-theme-desktop-china-components-home-banner height="460px" />
  <div class="w-[1200px] mx-auto">
    <lazy-theme-desktop-china-components-home-announcement />
    <lazy-sport-popular-match
      v-if="isRecommendMatchEnabled"
      class="custom-popular-match-light-flexible"
    />
    <lazy-theme-desktop-china-components-home-sponsor-banner />
    <lazy-theme-desktop-china-components-home-app-download
      v-if="isAppDownloadEnabled"
    />
    <lazy-theme-desktop-china-components-home-game-banner />
  </div>
</template>

<script lang="ts">
import { computed, defineComponent } from "vue";
import { store } from "@/store";

export default defineComponent({
  name: "Home",
  setup() {
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    const isRecommendMatchEnabled = computed(
      (): boolean =>
        !themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "sportsbook_recommend_matches"
        ).IsHidden
    );
    const isAppDownloadEnabled = computed(
      () =>
        !themePropertyHelper.getSingleThemeProperty(
          themeProperties.value,
          "wl_app_download"
        ).IsHidden
    );

    return { isRecommendMatchEnabled, isAppDownloadEnabled };
  },
});
</script>

<style scoped lang="scss">
.custom-popular-match-light-flexible {
  :deep(.custom-popular-match-card-desktop) {
    margin: 40px 0px 0px 0px;
  }
}
</style>
